const cheerio = require('cheerio')
const sf = require('snekfetch')
const query = 'wallpaper'
const locale = 'en'

let html = (await sf.get(`https://www.bing.com/search?q=${query}`)).text
const $ = cheerio.load(html)

Array.from($('.b_algo')).map(r => ({
  title: $('h2', r).text(),
  url: $('a', r).attr('href'),
  description: $('p', r).text(),
  rawDescription: $('p', r).html().replace(/&#x(\d+);/g, (_, cp) => String.fromCodePoint(parseInt(cp, 16)))
}));
